%global dlrn_nvr networking-ansible-3.0.1.dev1-2.20220111000208.e24d01c
%global dlrn 1
%define upstream_version 3.0.1.dev1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0

%global library networking-ansible
%global module networking_ansible
%global ansible_role openstack-ml2

Name:       python-%{library}
Version: 3.0.1
Release: 2.20220111000208.e24d01c%{?dist}
Summary:    OpenStack Neutron ML2 driver for Ansible Networking
License:    ASL 2.0
URL:        https://storyboard.openstack.org/#!/project/986

Source0: networking-ansible-3.0.1.dev1-2.20220111000208.e24d01c.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=e24d01c8e4412f15d37870a84130cfc8097702dd

BuildArch:  noarch
BuildRequires:  git
BuildRequires:  openstack-macros

%package -n python%{pyver}-%{library}
Summary:   OpenStack Neutron ML2 driver for Ansible Networking
%{?python_provide:%python_provide python%{pyver}-%{library}}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-neutron-lib
# Required to compile translation files (add only if exist)
BuildRequires:  python%{pyver}-babel

Requires:  python%{pyver}-oslo-config >= 2:5.2.0
Requires:  python%{pyver}-pbr >= 2.0
Requires:  python%{pyver}-neutron-lib >= 1.18.0
Requires:  openstack-neutron-common >= 1:13.0.0
Requires:  python%{pyver}-ansible-runner >= 1.0.5
Requires:  python%{pyver}-network-runner

# Python code cannot work without the ansible roles
Requires:  ansible-role-%{ansible_role} = %{version}-%{release}

%description -n python%{pyver}-%{library}
OpenStack Neutron ML2 driver for Ansible Networking


%package -n python%{pyver}-%{library}-tests
Summary:    OpenStack Neutron ML2 driver for Ansible Networking tests
Requires:   python%{pyver}-%{library} = %{version}-%{release}
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-oslo-config
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-neutron
BuildRequires:  python%{pyver}-neutron-tests
BuildRequires:  python%{pyver}-neutron-lib-tests
BuildRequires:  python%{pyver}-tempest
BuildRequires:  python%{pyver}-ansible-runner
BuildRequires:  python%{pyver}-network-runner


Requires:  python%{pyver}-mock
Requires:  python%{pyver}-oslotest >= 1.10.0
Requires:  python%{pyver}-subunit >= 1.0.0
Requires:  python%{pyver}-stestr

%description -n python%{pyver}-%{library}-tests
OpenStack Neutron ML2 driver for Ansible Networking

This package contains the networking-ansible test files.

%if 0%{?with_doc}
%package -n python%{pyver}-%{library}-doc
Summary:    OpenStack Neutron ML2 driver for Ansible Networking Documentaion
%{?python_provide:%python_provide python%{pyver}-%{library}-doc}

BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-sphinx

%description -n python%{pyver}-%{library}-doc
OpenStack Neutron ML2 driver for Ansible Networking

This package contains the networking-ansible documentation.
%endif

%description
OpenStack Neutron ML2 driver for Ansible Networking


%package -n ansible-role-%{ansible_role}
Summary:   Role for OpenStack ML2 ansible mechanism driver

%description -n ansible-role-%{ansible_role}
Ansible roles for OpenStack ML2 mechanism driver


%prep
%autosetup -n %{library}-%{upstream_version} -S git

# Let's handle dependencies ourselves
%{py_req_cleanup}

%build
%{pyver_build}

%if 0%{?with_doc}
# generate html docs
%{pyver_bin} setup.py build_sphinx -b html
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

# Remove config sample and .travis file
rm -rf %{buildroot}/usr/etc/neutron %{buildroot}/usr/etc/ansible/roles/%{ansible_role}/.travis.yml

# Move openstack-ml2 role to proper location
install -d -m 755 %{buildroot}%{_datadir}/ansible/roles
mv %{buildroot}/usr/etc/ansible/roles/%{ansible_role} %{buildroot}%{_datadir}/ansible/roles

%check
#NOTE(jpena) Unit tests are failign on stable/train, need to investigate
PYTHON=%{pyver_bin} stestr-%{pyver} run || true

%files -n python%{pyver}-%{library}
%license LICENSE
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/%{module}-*.egg-info
%exclude %{pyver_sitelib}/%{module}/tests

%files -n python%{pyver}-%{library}-tests
%license LICENSE
%{pyver_sitelib}/%{module}/tests

%if 0%{?with_doc}
%files -n python%{pyver}-%{library}-doc
%license LICENSE
%doc doc/build/html README.rst
%endif

%files -n ansible-role-%{ansible_role}
%license LICENSE
%{_datadir}/ansible/roles/%{ansible_role}/*

%changelog
* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.0.1-2.20220111000208.e24d01c
- Update patches

* Mon Jun 14 2021 CPaaS User <cpaas-ops@redhat.com> - 3.0.1-2.20210528062320.e24d01c.1
- Bump release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.1-2.20210528062320.e24d01c
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Tue Jan 07 2020 Jakub Libosvar <jlibosva@redhat.com> - 3.0.1-0.20191127205129.e24d01c.1
- Move network-runner to networking-ansible package (rhbz#1788187)

* Wed Nov 27 2019 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Improving unit tests assertions

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- replacing networking-ansible.api with network-runner

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1.6e73307git
- Update patches
- Merge "updates to upstream CI"
- updates to upstream CI

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1.1504127git
- Update patches
- Merge "Remove explicit ovs installation in devenv"
- Remove explicit ovs installation in devenv

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.1.293347egit
- Update patches

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Doc updates

* Wed Sep 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


